[osg-users] Please test SVN of OpenSceneGraph in prep for 2.5.5 dev release

Robert Osfield robert.osfield at gmail.com
Wed Jul 16 09:08:08 PDT 2008


Hi All,

I've been doing merges and bug fixes today, and now I'm ready to tag
the 2.5.5, but first I need feedback on how well things hang together
across platforms.  This is the first dev release with osgWidget as
part of the core OSG so this means that we really do need to test
across as many platforms as possible, as it's the code first wide
exposure.

Another area that could potentially cause problem is that I've now
moved the old .net out trunk and into the deprecated annex of the OSG
svn (alongside the old flt plugin.)   If you still need it you can
grab it from :

  http://www.openscenegraph.org/svn/osg/OpenSceneGraph/deprecated/src/osgPlugins/net/

I have hand modified the old Xcode projects to reflect this move of
the .net plugin out of the core OSG too, but since Xcode projects are
a mess it'd be easy for me to mess this up, so Xcode projects will
certainly need checking on this count.

Why move the .net plugin out?  We'll parts of it are GPL'd, so it
doesn't fit well with the OSG's more relaxed OSGPL (LGPL style)
license, and the socket code in it can cause problems with builds
across platforms.  Since the new libcurl plugin is OSGPL, and has more
functionality and is better future proofed, this is route to for http
access going forward.

Thanks in advance for your help in testing.
Robert.



More information about the osg-users mailing list